<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: HumanCommandWeapons Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/dd0/class_human_command_weapons.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">HumanCommandWeapons Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a2eba435c1f6c928668f288f341880eaf"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#a2eba435c1f6c928668f288f341880eaf">HumanCommandWeapons</a> ()</td></tr>
<tr class="separator:a2eba435c1f6c928668f288f341880eaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbce945e33b0dbf7270b4a26ca82a0b4"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#adbce945e33b0dbf7270b4a26ca82a0b4">~HumanCommandWeapons</a> ()</td></tr>
<tr class="separator:adbce945e33b0dbf7270b4a26ca82a0b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00c48b946a5b5a45d6e4076a1b2b22ed"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#a00c48b946a5b5a45d6e4076a1b2b22ed">IsActionFinished</a> ()</td></tr>
<tr class="separator:a00c48b946a5b5a45d6e4076a1b2b22ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b8854c339f238e2a1ec7e1a6e58c298"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#a2b8854c339f238e2a1ec7e1a6e58c298">GetRunningAction</a> ()</td></tr>
<tr class="memdesc:a2b8854c339f238e2a1ec7e1a6e58c298"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns -1 when no action is running or RELOAD,MECHANISM, ....  <a href="../../da/dd0/class_human_command_weapons.html#a2b8854c339f238e2a1ec7e1a6e58c298">More...</a><br /></td></tr>
<tr class="separator:a2b8854c339f238e2a1ec7e1a6e58c298"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad74a4f1019cb9facfa831511cfaaafa1"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#ad74a4f1019cb9facfa831511cfaaafa1">GetRunningActionType</a> ()</td></tr>
<tr class="memdesc:ad74a4f1019cb9facfa831511cfaaafa1"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns -1 when no action is running or appropriate action type  <a href="../../da/dd0/class_human_command_weapons.html#ad74a4f1019cb9facfa831511cfaaafa1">More...</a><br /></td></tr>
<tr class="separator:ad74a4f1019cb9facfa831511cfaaafa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c784811080fff71d4c5ea3d194c00d8"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#a6c784811080fff71d4c5ea3d194c00d8">SetActionProgressParams</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pStart, <a class="el" href="../../d4/dc3/classfloat.html">float</a> pEnd)</td></tr>
<tr class="memdesc:a6c784811080fff71d4c5ea3d194c00d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">sets start and end animation position - f.e. for reload clip action  <a href="../../da/dd0/class_human_command_weapons.html#a6c784811080fff71d4c5ea3d194c00d8">More...</a><br /></td></tr>
<tr class="separator:a6c784811080fff71d4c5ea3d194c00d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa445c68dd681f55cd731b8a6733d6e5a"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#aa445c68dd681f55cd731b8a6733d6e5a">StartAction</a> (<a class="el" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a> pAction, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pActionType)</td></tr>
<tr class="memdesc:aa445c68dd681f55cd731b8a6733d6e5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">start reload,mechanism,chambering,unjam ...  <a href="../../da/dd0/class_human_command_weapons.html#aa445c68dd681f55cd731b8a6733d6e5a">More...</a><br /></td></tr>
<tr class="separator:aa445c68dd681f55cd731b8a6733d6e5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3b1e842702c9106fdaef41813720a38"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#ae3b1e842702c9106fdaef41813720a38">RegisterEvent</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> pName, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pId)</td></tr>
<tr class="memdesc:ae3b1e842702c9106fdaef41813720a38"><td class="mdescLeft">&#160;</td><td class="mdescRight">register events  <a href="../../da/dd0/class_human_command_weapons.html#ae3b1e842702c9106fdaef41813720a38">More...</a><br /></td></tr>
<tr class="separator:ae3b1e842702c9106fdaef41813720a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae45b8a094666e7c6c5b65f837291c90"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#aae45b8a094666e7c6c5b65f837291c90">IsEvent</a> ()</td></tr>
<tr class="memdesc:aae45b8a094666e7c6c5b65f837291c90"><td class="mdescLeft">&#160;</td><td class="mdescRight">return -1 when there is no event, otherwise it returns pId of event from animation  <a href="../../da/dd0/class_human_command_weapons.html#aae45b8a094666e7c6c5b65f837291c90">More...</a><br /></td></tr>
<tr class="separator:aae45b8a094666e7c6c5b65f837291c90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7919434fb52ad869b530d664ef904423"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#a7919434fb52ad869b530d664ef904423">IsInWeaponReloadBulletSwitchState</a> ()</td></tr>
<tr class="memdesc:a7919434fb52ad869b530d664ef904423"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns true when clip visual change is needed for reload clip action  <a href="../../da/dd0/class_human_command_weapons.html#a7919434fb52ad869b530d664ef904423">More...</a><br /></td></tr>
<tr class="separator:a7919434fb52ad869b530d664ef904423"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadec67f3cfe7f1f46ebfbcc2ecc01875"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#aadec67f3cfe7f1f46ebfbcc2ecc01875">SetADS</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> pState)</td></tr>
<tr class="memdesc:aadec67f3cfe7f1f46ebfbcc2ecc01875"><td class="mdescLeft">&#160;</td><td class="mdescRight">sets head tilt to optics  <a href="../../da/dd0/class_human_command_weapons.html#aadec67f3cfe7f1f46ebfbcc2ecc01875">More...</a><br /></td></tr>
<tr class="separator:aadec67f3cfe7f1f46ebfbcc2ecc01875"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52f2d71e8d3fd46b49d1f7082d1e6d79"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#a52f2d71e8d3fd46b49d1f7082d1e6d79">LiftWeapon</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> pState)</td></tr>
<tr class="memdesc:a52f2d71e8d3fd46b49d1f7082d1e6d79"><td class="mdescLeft">&#160;</td><td class="mdescRight">command for lifting weapon near obstacled (works only when weapon is raised)  <a href="../../da/dd0/class_human_command_weapons.html#a52f2d71e8d3fd46b49d1f7082d1e6d79">More...</a><br /></td></tr>
<tr class="separator:a52f2d71e8d3fd46b49d1f7082d1e6d79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac304961519be1cdce6d7783b12000c8e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#ac304961519be1cdce6d7783b12000c8e">RegisterDefaultEvents</a> ()</td></tr>
<tr class="separator:ac304961519be1cdce6d7783b12000c8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6f1b89369275489b9f8da07bed03e13"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#ad6f1b89369275489b9f8da07bed03e13">SetInitState</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pFrameIndex)</td></tr>
<tr class="separator:ad6f1b89369275489b9f8da07bed03e13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7b77a8a05ff6620b813244401a09e7a"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#ad7b77a8a05ff6620b813244401a09e7a">GetBaseAimingAngleUD</a> ()</td></tr>
<tr class="memdesc:ad7b77a8a05ff6620b813244401a09e7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns base aiming angle UD - without sway/offsets/...  <a href="../../da/dd0/class_human_command_weapons.html#ad7b77a8a05ff6620b813244401a09e7a">More...</a><br /></td></tr>
<tr class="separator:ad7b77a8a05ff6620b813244401a09e7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1404466cb60ad3ab4a3058242f8685a"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#aa1404466cb60ad3ab4a3058242f8685a">GetBaseAimingAngleLR</a> ()</td></tr>
<tr class="memdesc:aa1404466cb60ad3ab4a3058242f8685a"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns base aiming angle LR - without sway/offsets/...  <a href="../../da/dd0/class_human_command_weapons.html#aa1404466cb60ad3ab4a3058242f8685a">More...</a><br /></td></tr>
<tr class="separator:aa1404466cb60ad3ab4a3058242f8685a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b92117809c8d171f07eee4cdcf8d180"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#a3b92117809c8d171f07eee4cdcf8d180">SetThrowingMode</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> pState)</td></tr>
<tr class="separator:a3b92117809c8d171f07eee4cdcf8d180"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d6d8a0fc00d774daa816b0a930bc2ff"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#a9d6d8a0fc00d774daa816b0a930bc2ff">IsThrowingMode</a> ()</td></tr>
<tr class="separator:a9d6d8a0fc00d774daa816b0a930bc2ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad19101124268b719186a8ca069d6853d"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#ad19101124268b719186a8ca069d6853d">ThrowItem</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> throwType)</td></tr>
<tr class="separator:ad19101124268b719186a8ca069d6853d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b2c7ca00d3a8fb00d31164ab726e332"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#a2b2c7ca00d3a8fb00d31164ab726e332">WasItemLeaveHandsEvent</a> ()</td></tr>
<tr class="separator:a2b2c7ca00d3a8fb00d31164ab726e332"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace851ff49e010c998742f471b01a2984"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#ace851ff49e010c998742f471b01a2984">DebugIsEvent</a> ()</td></tr>
<tr class="memdesc:ace851ff49e010c998742f471b01a2984"><td class="mdescLeft">&#160;</td><td class="mdescRight">return -1 when there is no event, otherwise it returns pId of event from animation  <a href="../../da/dd0/class_human_command_weapons.html#ace851ff49e010c998742f471b01a2984">More...</a><br /></td></tr>
<tr class="separator:ace851ff49e010c998742f471b01a2984"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23d3a41f3f6e402520979ffc80478411"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#a23d3a41f3f6e402520979ffc80478411">DebugResetEvents</a> ()</td></tr>
<tr class="separator:a23d3a41f3f6e402520979ffc80478411"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a3b1db919cf19f0c7875fb1a9a922e5f2"><td class="memItemLeft" align="right" valign="top">proto static native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd0/class_human_command_weapons.html#a3b1db919cf19f0c7875fb1a9a922e5f2">StaticSetInitState</a> (Human pHuman, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pFrameIdx)</td></tr>
<tr class="memdesc:a3b1db919cf19f0c7875fb1a9a922e5f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">just static version of SetInitState  <a href="../../da/dd0/class_human_command_weapons.html#a3b1db919cf19f0c7875fb1a9a922e5f2">More...</a><br /></td></tr>
<tr class="separator:a3b1db919cf19f0c7875fb1a9a922e5f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/d9e/human_8c_source.html#l00893">893</a> of file <a class="el" href="../../d4/d9e/human_8c_source.html">human.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2eba435c1f6c928668f288f341880eaf" name="a2eba435c1f6c928668f288f341880eaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2eba435c1f6c928668f288f341880eaf">&#9670;&#160;</a></span>HumanCommandWeapons()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void HumanCommandWeapons::HumanCommandWeapons </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9e/human_8c_source.html#l00895">895</a> of file <a class="el" href="../../d4/d9e/human_8c_source.html">human.c</a>.</p>

</div>
</div>
<a id="adbce945e33b0dbf7270b4a26ca82a0b4" name="adbce945e33b0dbf7270b4a26ca82a0b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbce945e33b0dbf7270b4a26ca82a0b4">&#9670;&#160;</a></span>~HumanCommandWeapons()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void HumanCommandWeapons::~HumanCommandWeapons </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9e/human_8c_source.html#l00896">896</a> of file <a class="el" href="../../d4/d9e/human_8c_source.html">human.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ace851ff49e010c998742f471b01a2984" name="ace851ff49e010c998742f471b01a2984"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace851ff49e010c998742f471b01a2984">&#9670;&#160;</a></span>DebugIsEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> HumanCommandWeapons::DebugIsEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>return -1 when there is no event, otherwise it returns pId of event from animation </p>

</div>
</div>
<a id="a23d3a41f3f6e402520979ffc80478411" name="a23d3a41f3f6e402520979ffc80478411"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23d3a41f3f6e402520979ffc80478411">&#9670;&#160;</a></span>DebugResetEvents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void HumanCommandWeapons::DebugResetEvents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa1404466cb60ad3ab4a3058242f8685a" name="aa1404466cb60ad3ab4a3058242f8685a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1404466cb60ad3ab4a3058242f8685a">&#9670;&#160;</a></span>GetBaseAimingAngleLR()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> HumanCommandWeapons::GetBaseAimingAngleLR </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns base aiming angle LR - without sway/offsets/... </p>

</div>
</div>
<a id="ad7b77a8a05ff6620b813244401a09e7a" name="ad7b77a8a05ff6620b813244401a09e7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7b77a8a05ff6620b813244401a09e7a">&#9670;&#160;</a></span>GetBaseAimingAngleUD()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> HumanCommandWeapons::GetBaseAimingAngleUD </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns base aiming angle UD - without sway/offsets/... </p>

</div>
</div>
<a id="a2b8854c339f238e2a1ec7e1a6e58c298" name="a2b8854c339f238e2a1ec7e1a6e58c298"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b8854c339f238e2a1ec7e1a6e58c298">&#9670;&#160;</a></span>GetRunningAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> HumanCommandWeapons::GetRunningAction </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns -1 when no action is running or RELOAD,MECHANISM, .... </p>

</div>
</div>
<a id="ad74a4f1019cb9facfa831511cfaaafa1" name="ad74a4f1019cb9facfa831511cfaaafa1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad74a4f1019cb9facfa831511cfaaafa1">&#9670;&#160;</a></span>GetRunningActionType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> HumanCommandWeapons::GetRunningActionType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns -1 when no action is running or appropriate action type </p>

</div>
</div>
<a id="a00c48b946a5b5a45d6e4076a1b2b22ed" name="a00c48b946a5b5a45d6e4076a1b2b22ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00c48b946a5b5a45d6e4076a1b2b22ed">&#9670;&#160;</a></span>IsActionFinished()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> HumanCommandWeapons::IsActionFinished </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aae45b8a094666e7c6c5b65f837291c90" name="aae45b8a094666e7c6c5b65f837291c90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae45b8a094666e7c6c5b65f837291c90">&#9670;&#160;</a></span>IsEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> HumanCommandWeapons::IsEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>return -1 when there is no event, otherwise it returns pId of event from animation </p>

</div>
</div>
<a id="a7919434fb52ad869b530d664ef904423" name="a7919434fb52ad869b530d664ef904423"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7919434fb52ad869b530d664ef904423">&#9670;&#160;</a></span>IsInWeaponReloadBulletSwitchState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> HumanCommandWeapons::IsInWeaponReloadBulletSwitchState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns true when clip visual change is needed for reload clip action </p>

</div>
</div>
<a id="a9d6d8a0fc00d774daa816b0a930bc2ff" name="a9d6d8a0fc00d774daa816b0a930bc2ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d6d8a0fc00d774daa816b0a930bc2ff">&#9670;&#160;</a></span>IsThrowingMode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> HumanCommandWeapons::IsThrowingMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a52f2d71e8d3fd46b49d1f7082d1e6d79" name="a52f2d71e8d3fd46b49d1f7082d1e6d79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52f2d71e8d3fd46b49d1f7082d1e6d79">&#9670;&#160;</a></span>LiftWeapon()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void HumanCommandWeapons::LiftWeapon </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>command for lifting weapon near obstacled (works only when weapon is raised) </p>

</div>
</div>
<a id="ac304961519be1cdce6d7783b12000c8e" name="ac304961519be1cdce6d7783b12000c8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac304961519be1cdce6d7783b12000c8e">&#9670;&#160;</a></span>RegisterDefaultEvents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void HumanCommandWeapons::RegisterDefaultEvents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d9e/human_8c_source.html#l00929">929</a> of file <a class="el" href="../../d4/d9e/human_8c_source.html">human.c</a>.</p>

</div>
</div>
<a id="ae3b1e842702c9106fdaef41813720a38" name="ae3b1e842702c9106fdaef41813720a38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3b1e842702c9106fdaef41813720a38">&#9670;&#160;</a></span>RegisterEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void HumanCommandWeapons::RegisterEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>pName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>register events </p>

</div>
</div>
<a id="a6c784811080fff71d4c5ea3d194c00d8" name="a6c784811080fff71d4c5ea3d194c00d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c784811080fff71d4c5ea3d194c00d8">&#9670;&#160;</a></span>SetActionProgressParams()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void HumanCommandWeapons::SetActionProgressParams </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pStart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pEnd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>sets start and end animation position - f.e. for reload clip action </p>

</div>
</div>
<a id="aadec67f3cfe7f1f46ebfbcc2ecc01875" name="aadec67f3cfe7f1f46ebfbcc2ecc01875"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aadec67f3cfe7f1f46ebfbcc2ecc01875">&#9670;&#160;</a></span>SetADS()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void HumanCommandWeapons::SetADS </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>sets head tilt to optics </p>

</div>
</div>
<a id="ad6f1b89369275489b9f8da07bed03e13" name="ad6f1b89369275489b9f8da07bed03e13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6f1b89369275489b9f8da07bed03e13">&#9670;&#160;</a></span>SetInitState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void HumanCommandWeapons::SetInitState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pFrameIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >this sets to a weapon init state each weapon has a different weapon state those states are defined by animation set by AddItemInHandsProfileIK - in <a class="el" href="../../de/d84/_day_z_player_cfg_base_8c.html">DayZPlayerCfgBase.c</a> each frame of animation is one init state <br  />
 </p>

</div>
</div>
<a id="a3b92117809c8d171f07eee4cdcf8d180" name="a3b92117809c8d171f07eee4cdcf8d180"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b92117809c8d171f07eee4cdcf8d180">&#9670;&#160;</a></span>SetThrowingMode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void HumanCommandWeapons::SetThrowingMode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa445c68dd681f55cd731b8a6733d6e5a" name="aa445c68dd681f55cd731b8a6733d6e5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa445c68dd681f55cd731b8a6733d6e5a">&#9670;&#160;</a></span>StartAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> HumanCommandWeapons::StartAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d9e/human_8c.html#a70aa34d22d03160ea5e3d5248cd37093">WeaponActions</a>&#160;</td>
          <td class="paramname"><em>pAction</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pActionType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>start reload,mechanism,chambering,unjam ... </p>

</div>
</div>
<a id="a3b1db919cf19f0c7875fb1a9a922e5f2" name="a3b1db919cf19f0c7875fb1a9a922e5f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b1db919cf19f0c7875fb1a9a922e5f2">&#9670;&#160;</a></span>StaticSetInitState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto static native void HumanCommandWeapons::StaticSetInitState </td>
          <td>(</td>
          <td class="paramtype">Human&#160;</td>
          <td class="paramname"><em>pHuman</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pFrameIdx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>just static version of SetInitState </p>

</div>
</div>
<a id="ad19101124268b719186a8ca069d6853d" name="ad19101124268b719186a8ca069d6853d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad19101124268b719186a8ca069d6853d">&#9670;&#160;</a></span>ThrowItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void HumanCommandWeapons::ThrowItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>throwType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2b2c7ca00d3a8fb00d31164ab726e332" name="a2b2c7ca00d3a8fb00d31164ab726e332"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b2c7ca00d3a8fb00d31164ab726e332">&#9670;&#160;</a></span>WasItemLeaveHandsEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> HumanCommandWeapons::WasItemLeaveHandsEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d4/d9e/human_8c_source.html">human.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/dd0/class_human_command_weapons.html">HumanCommandWeapons</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
